Subject: Re: IFLA_INET6_[ICMP6]STATS

From: roopa <[email-masked]>
Date: Thu, 10 Sep 2015 08:43:58 -0700

On 9/9/15, 2:45 PM, Sowmini Varadhan wrote:
> On (09/09/15 14:43), David Miller wrote:
>> But what we could do is add a flag in the netlink request which
>> elides the stats.  GLIBC et al. could then start setting the flag.
>>
> Yes, interestingly that's what I was experimenting with myself
> (though I was using a setsockopt in my version). I'll send out
> a patch rfc later this week for this.
>
If you decide to use a flag, there is IFLA_EXT_MASK which is used to 
specify such filters from userspace today.

/* New extended info filters for IFLA_EXT_MASK */
#define RTEXT_FILTER_VF         (1 << 0)
#define RTEXT_FILTER_BRVLAN     (1 << 1)
#define RTEXT_FILTER_BRVLAN_COMPRESSED  (1 << 2)

ideally long term, it would be nice for RTM_GETLINK request msg to 
contain the attributes it is interested in (This would  again be 
optional with the default being get all attributes).